<?header("charset:windows-1251");session_start();?>

<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">

<head><meta http-equiv='content-type' content='application/xhtml+xml; charset=windows-1251'/>
<link rel="shortcut icon" href="ico.ico" type="image/x-icon" />


<link rel="stylesheet" href="styleN.css" type="text/css" />
</head>
<body>
<div class='main' style='word-wrap:break-word;'>
<div class="line"></div>
<div class="center"><div class='top'>

<b>Аукцион</b>
</div></div>
<div class="line"></div>
<div style="padding:10px">
<b>
<?
include("db.php");//подключаем файл базы данных
$db->openDB();//Соединяемся к базе
$aus = $_POST['aus'];
$ids = $_POST['ids'];
$stco = $_POST['stco'];
$au = $_GET['au'];
$idc = $_GET['idc'];
$AUK_ITMS = mysql_query("SET NAMES cp1251");
$AUK_ITMS = mysql_query("SELECT * FROM items_all");//ок выводим все предметы, в дальнейшем сделаем по 10 предметов на страничку
$auk_stv = mysql_query("SET NAMES cp1251");
if($au == 'stup' AND $idc != ''){echo "<a href=\"../game.php\">в игру</a><br/><a href=\"aukcion.php\">назад</a><br/>
введите вашу ставку:
<form action=\"aukcion.php\" method=\"POST\">
<input name=\"aus\" value=\"up\" type=\"hidden\">
<input name=\"ids\" value=\"$idc\" type=\"hidden\">
<input name=\"stco\" maxlength=\"55\" size=\"10\" ><br/>
<input type=\"submit\" value=\"повысить\" class=\"button\">
</form>
";

//aukcion.php?au=up&idc=$idc
die;}
##################################################################################“”“ ѕќ¬џЎ?Ќ»? —“ј¬ »!!!
if($aus == 'up' AND $ids != '' AND $stco != ''){
$money1 = mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
$money2 = mysql_fetch_assoc($money1);
$aui = mysql_query("SET NAMES cp1251");
$aui = mysql_query("SELECT * FROM items_all WHERE AUK_IDC=\"$ids\"");//ок выводим все предметы, в дальнейшем сделаем по 10 предметов на страничку
$aui2=mysql_fetch_assoc($aui);
//ок,провер¤ем хватает ли денег, так же ставка не должна быть меньше минимальной и больше максимальной цены
//echo $aui2[AUK_NICK];
if($_SESSION[s] == $aui2[AUK_NICK]){echo"<a href=\"../game.php\">в игру</a><br/><a href=\"aukcion.php\">назад</a><br/>вы не можете ставить ставку за собственный предмет";die;}
if($stco>$money2[money]){echo"<a href=\"../game.php\">в игру</a><br/><a href=\"aukcion.php\">назад</a><br/>не хватает денег";die;}
if($stco<=$money2[money]){
if($stco<=$aui2[AUK_CST_START]){
if(mysql_num_rows($aui)<1){echo"<a href=\"../game.php\">в игру</a><br/><a href=\"aukcion.php\">назад</a><br/><div class=\"main_title\" align=\"center\">Ошибка! Данный предмет куплен или продавец снял его с продажи!</div>";die;}
echo"<a href=\"../game.php\">в игру</a><br/><a href=\"aukcion.php\">назад</a><br/><div class=\"main_title\" align=\"center\">ставка не может быть меньше или равно минимальной</div>";die;}
if($stco>=$aui2[AUK_CST_END]){
if(mysql_num_rows($aui)<1){echo"<a href=\"../game.php\">в игру</a><br/><a href=\"aukcion.php\">назад</a><br/><div class=\"main_title\" align=\"center\">Ошибка! Данный предмет куплен или продавец снял его с продажи!</div>";die;}
echo"<a href=\"../game.php\">в игру</a><br/><a href=\"aukcion.php\">назад</a><br/><div class=\"main_title\" align=\"center\">ставка не может быть больше или равно максимальной</div>";die;}
if($stco>$aui2[AUK_CST_START] AND $stco<$aui2[AUK_CST_END]){
if(mysql_num_rows($aui)>0){echo"ок,предмет присутвствует";
//делаем ставку игрока


$mon = $money2[money]-$stco;
$moneym = mysql_query("UPDATE users SET money=\"$mon\" WHERE NICK=\"$_SESSION[s]\"");//забираем деньги у игрока,согласно ставки
$staupd = mysql_query("UPDATE items_all SET AUK_CST_START=\"$stco\" WHERE AUK_IDC=\"$ids\"");//увеличиваем ставку за предмет
$auk_stv = mysql_query("SELECT * FROM aukcion_stavka");
while($auk_stv2=mysql_fetch_assoc($auk_stv)){
$dobite = mysql_query("INSERT INTO trade_items (TR_NAME,TR_ID,TR_COUNT,TR_NICK) VALUES ('золото','i.money','$auk_stv2[MNY_COST]','$auk_stv2[MNY_NICK]')");//добавляем золото в таблицу trade_items из таблицы aukcion_stavka
}
$delstv = mysql_query("DELETE FROM aukcion_stavka");//удаляем все ставки всех игроков
$dobite = mysql_query("INSERT INTO aukcion_stavka (MNY_COST,MNY_NICK,AUK_IDITMS) VALUES ('$stco','$_SESSION[s]','$ids')");

//ставка игрока может быть перебита, в таком случае деньги игрока записываютс¤ в таблицу trade_items,так же на почту игрока приходит уведомление о том что его ставка перебита

}

}
die;}
die;}
while($AUK_ITM2=mysql_fetch_assoc($AUK_ITMS)){
echo "<b>$AUK_ITM2[AUK_NAME]</b><br/> продавец:<u>$AUK_ITM2[AUK_NICK]</u><br/>нач. цена:$AUK_ITM2[AUK_CST_START] <a href=\"?au=stup&idc=$AUK_ITM2[AUK_IDC]\">[сделать ставку]</a> <br/>цена выкупа:$AUK_ITM2[AUK_CST_END] [выкупить] <br/>";
}

?>
